import os
from datetime import datetime

# 获取当前时间
now = datetime.now()

# 格式化日期时间字符串
folder_name = now.strftime("%Y%m%d%H%M")
save_path = "/test/log"
save_log_path = os.path.join(save_path, folder_name)
mark_file = "/test/finished"

# 调用函数
os.system('env > env.log')
os.chdir("/workspace/vllm_benchmark")
os.system(f"rm -rf {mark_file}")
os.makedirs(save_log_path, exist_ok=True)
os.system(f"bash test_benchmark_llama2_7b.sh 2>&1 | tee {save_log_path}/test_benchmark_llama2_7b.log")
os.system(f"bash test_benchmark_qwen1.5_32b.sh 2>&1 | tee {save_log_path}/test_benchmark_qwen1.5_32b.log")
os.system(f"bash test_benchmark_qwen2_72b.sh 2>&1 | tee {save_log_path}/test_benchmark_qwen2_72b.log")
os.system(f"touch {mark_file}")

